# Interface CalldataAllocation

#### Hierarchy

- CalldataAllocation

- Defined in codec/lib/abi-data/allocate/types.ts:96

#####
Index

### Properties

abi
allocationMode
arguments
offset

## Properties

### abi

abi: FunctionEntry | ConstructorEntry

- Defined in codec/lib/abi-data/allocate/types.ts:97

### allocationMode

allocationMode: DecodingMode

- Defined in codec/lib/abi-data/allocate/types.ts:100

### arguments

arguments: CalldataArgumentAllocation[]

- Defined in codec/lib/abi-data/allocate/types.ts:99

### offset

offset: number

- Defined in codec/lib/abi-data/allocate/types.ts:98

Generated using TypeDoc